---
extracts:
# Nullable, null is equal to PROVISIONED
  - name: "CA10__billingMode__c"
    value:
      FIELD:
        path: CA10__billingMode__c
        # undeterminedIf:
        #   noAccessDelegate:
        #     path: "CA10__billingMode__c"
        #     currentStateMessage: "Unable to determine Table Billing Mode. Possible permission issue with dynamodb:DescribeTable."
# Values: ENABLED | DISABLED. Not nullable. 
  - name: "CA10__pointInTimeRecoveryStatus__c"
    value:
      FIELD:
        path: CA10__pointInTimeRecoveryStatus__c
        # undeterminedIf:
        #   noAccessDelegate:
        #     path: "CA10__pointInTimeRecoveryStatus__c"
        #     currentStateMessage: "Unable to determine Point In Time Recovery Status. Possible permission issue with dynamodb:DescribeTable."
# Nullable.
  - name: "CA10__regionName2__c"
    value:
      FIELD:
        path: "CA10__regionName2__c"
# Values: CREATING | UPDATING | DELETING | ACTIVE | INACCESSIBLE_ENCRYPTION_CREDENTIALS | 
# ARCHIVING | ARCHIVED | REPLICATION_NOT_AUTHORIZED
# Not nullable. Possible permission issue with dynamodb:DescribeTable.
  - name: "CA10__tableStatus__c"
    value:
      FIELD:
        path: "CA10__tableStatus__c"
# Values: ENABLED | null. Possible permission issue with dynamodb:DescribeTable.
  - name: "CA10__sseDescriptionStatus__c"
    value:
      FIELD:
        path: "CA10__sseDescriptionStatus__c"
# Not nullable. Number
  - name: "CA10__itemCount__c"
    value:
      FIELD:
        path: "CA10__itemCount__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__itemCount__c"
            currentStateMessage: "Dynamo DB Table item count cannot be empty. Possible permission issue with dynamodb:DescribeTable"
# Not nullable.
  - name: "CA10__creationDateTime__c"
    value:
      FIELD:
        path: "CA10__creationDateTime__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__creationDateTime__c"
            currentStateMessage: "Dynamo DB Table creation date cannot be empty. Possible permission issue with dynamodb:DescribeTable"
